## `<w-modal>` API

Unless otherwise noted all properties are HTML attributes (as opposed to JavaScript object properties).

### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| close (JS only) | `close() => void` | `-` | - |
| content-id | `string \| undefined` | `-` | **Deprecated**: This ID has no effect |
| ignore-backdrop-clicks | `boolean` | `false` | Ignores clicks to the backdrop when set |
| open (JS only) | `open() => void` | `-` | - |
| show | `boolean` | `false` | Controls if the modal should show or hide. |

### Property Details

#### close (JS only)



- Type: `close() => void`
- Default: `-`

#### content-id

**Deprecated**: This ID has no effect



- Type: `string | undefined`
- Default: `-`

#### ignore-backdrop-clicks

Ignores clicks to the backdrop when set

- Type: `boolean`
- Default: `false`

#### open (JS only)



- Type: `open() => void`
- Default: `-`

#### show

Controls if the modal should show or hide.

You can also call the `open()` and `close()` methods.

- Type: `boolean`
- Default: `false`

### Events

#### hidden



- Type: `CustomEvent`
#### shown



- Type: `CustomEvent`


